Fetch all automations for an account
curl --request GET \
--url https://api.brale.xyz/accounts/{account_id}/automations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brale.xyz/accounts/{account_id}/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brale.xyz/accounts/{account_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"automations": [
{
"id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"name": "XYZ Onramp",
"status": "active",
"source": {
"value_type": "USD",
"transfer_type": "wire",
"funding_instructions": {
"beneficiary_name": "Jane Business",
"bank_name": "Example Bank",
"bank_address": "456 Commerce St., Des Moines, IA 50309",
"beneficiary_address": "612 Commerce St., Des Moines, IA 50309",
"account_number": "123456789",
"routing_number": "063108680"
}
},
"destination": {
"address_id": "2VcUIIsgARwVbEGlIYbhg6fGG57",
"value_type": "SBC",
"transfer_type": "solana"
},
"created_at": "2024-01-15T12:34:56Z",
"updated_at": "2024-01-15T12:34:56Z",
"brand": {
"account_id": "2VcUIIsgARwVbEGlIYbhg6fGG57"
}
}
]
}Automations
Fetch all automations for an account
Retrieves all automations associated with the specified customer account.
GET
/
accounts
/
{account_id}
/
automations
Fetch all automations for an account
Use the playground below to try this endpoint directly, or review the OpenAPI details in the right panel.
Authorizations
Use the Bearer token returned from the Auth endpoint via OAuth2 client_credentials flow. Include the token in the "Authorization: Bearer " header.
Path Parameters
The ID of the account
Pattern:
^[a-zA-Z0-9]{26}$Example:
"2VcUIIsgARwVbEGlIYbhg6fGG57"
Response
200 - */*
A list of automations
Show child attributes
Show child attributes
Was this page helpful?
⌘I